<?php

date_default_timezone_set('America/Lima');

class cTalonario{



	function insertar($ser,$ini,$fin,$num,$mod_id,$doc_id,$est,$punven_id){

		$now =  date('Y-m-d h:i:s a');

		$sql = "INSERT INTO tb_talonario(

		`tb_talonario_reg` ,

		`tb_talonario_mod` ,

		`tb_talonario_ser` ,

		`tb_talonario_ini` ,

		`tb_talonario_fin` ,

		`tb_talonario_num` ,

		`tb_modulo_id` ,

		`tb_documento_id` ,

		`tb_talonario_est`,

		`tb_puntoventa_id`

		)

		VALUES (

		'$now' , '$now' ,  '$ser',  '$ini',  '$fin',  '$num','$mod_id', '$doc_id',  '$est', '$punven_id');"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

	

	function filtrar($punven_id,$mod_id,$doc_id){

		$sql="SELECT * 

		FROM tb_talonario t

		LEFT JOIN tb_documento d ON t.tb_documento_id=d.tb_documento_id

		LEFT JOIN tb_modulo m ON t.tb_modulo_id=m.tb_modulo_id

		left join tb_puntoventa pv on pv.tb_puntoventa_id = t.tb_puntoventa_id

		WHERE t.tb_talonario_xac='1'

		AND t.tb_puntoventa_id = '$punven_id' ";

		if($mod_id>0)$sql.=" AND t.tb_modulo_id='$mod_id' ";

		if($doc_id>0)$sql.=" AND t.tb_documento_id='$doc_id' ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function mostrarUno($id){

		$sql="SELECT * 

		FROM tb_talonario

		WHERE tb_talonario_id=$id";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function correlativo($punven_id,$doc_id,$ser){

		$sql = "SELECT * FROM tb_talonario t 

		left join tb_puntoventa pv on pv.tb_puntoventa_id = t.tb_puntoventa_id

		WHERE tb_talonario_xac=1

		AND tb_talonario_est =1 

		AND tb_talonario_ser = '$ser'

		AND pv.tb_puntoventa_id='$punven_id' 

		AND tb_documento_id='$doc_id'		

		AND tb_talonario_num<=tb_talonario_fin";

		//echo $sql;exit;

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function correlativo_alm($alm_id,$doc_id){

		$sql = "SELECT * FROM tb_talonario

		WHERE tb_almacen_id='$alm_id'

		AND tb_documento_id='$doc_id'

		AND tb_talonario_est =1 

		AND tb_talonario_num<=tb_talonario_fin";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function actualizar_correlativo($id,$num,$est){ 

		$now =  date('Y-m-d h:i:s a');

		$sql = "UPDATE tb_talonario SET  

		`tb_talonario_mod` = '$now' ,

		`tb_talonario_num` =  '$num',

		`tb_talonario_est` =  '$est' 

		WHERE tb_talonario_id ='$id';"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	function modificar($id,$ser,$ini,$fin, $num,$mod_id,$doc_id,$est,$punven_id){ 

		$now =  date('Y-m-d h:i:s a');

		$sql = "UPDATE tb_talonario SET  

		`tb_talonario_mod` = '$now' ,

		`tb_talonario_ser` =  '$ser',

		`tb_talonario_ini` =  '$ini',

		`tb_talonario_fin` =  '$fin',

		`tb_talonario_num` =  '$num',

		`tb_modulo_id` =  '$mod_id',

		`tb_documento_id` =  '$doc_id',

		`tb_talonario_est` =  '$est',

		`tb_puntoventa_id` =  '$punven_id'

		WHERE tb_talonario_id ='$id';"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}



	function verifica_talonario($tal_id,$punven_id,$doc_id,$est){

		$sql = "SELECT * 

		FROM  tb_talonario 

		WHERE tb_puntoventa_id='$punven_id'

		AND tb_documento_id='$doc_id'

		AND tb_talonario_est='$est' ";

		

		if($tal_id>0)$sql.=" AND tb_talonario_id <> '$tal_id' ";



		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function verifica_talonario_venta($punven_id,$doc_id,$ven_est,$numdoc){

		$sql = "SELECT * 

		FROM  tb_venta v

		INNER JOIN tb_documento d ON v.tb_documento_id=d.tb_documento_id

		WHERE tb_puntoventa_id='$punven_id'

		AND v.tb_documento_id='$doc_id'

		AND tb_venta_est='$ven_est'

		AND tb_venta_numdoc='$numdoc' ";

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;

	}



	function modificar_campo($id,$campo,$valor){

		$sql = "UPDATE tb_talonario SET

		`tb_talonario_$campo` =  '$valor' 

		WHERE tb_talonario_id =$id;"; 

		$oCado = new Cado();

		$rst=$oCado->ejecute_sql($sql);

		return $rst;	

	}

}

?>